Bug 46422 - ACCESSIBILITY: Please support the Java access bridge for Java SE7.(Windows)
Summary: ACCESSIBILITY: Please support the Java access bridge for Java SE7.(Windows)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: All Windows (All)
: medium normal
Assignee: Masataka Shinke
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: a11y-Windows
  Show dependency treegraph
 
Reported: 2012-02-21 16:28 UTC by Masataka Shinke
Modified: 2013-02-03 19:52 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Masataka Shinke 2012-02-21 16:28:58 UTC
operating environment

LibO3.5.0
OS:WinXP Home Edition SP3,Windows Vista,Windos7
JRE:Java SE Runtime Environment 7(i586)
JAB:Java Access Bridge2.0.2

screen reader: nvda2011.3j
Comment 1 V Stuart Foote 2012-05-28 10:25:09 UTC
setting as duplicate of 46114
Comment 2 Michael Stahl (CIB) 2012-07-19 12:30:06 UTC
there are some known general problems with using Oracle JRE 7,
some of which are resolved in LO 3.5.4; there is also bug 50584,
which is really a defect in the JRE and can be worked around
by installing a MSVC2010 redistributable.

if you have a general problem with using any Java functionality,
(e.g. File->Wizards->Letter... produces an error mesage)
then you can probably work around it by installing this:
http://www.microsoft.com/en-us/download/details.aspx?id=8328

i've also found this bug report, which isn't very detailed,
but indicates that something accessibility related will be
fixed in Oracle JRE 7u6:
http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=7174645
Comment 3 Michael Stahl (CIB) 2012-07-19 13:07:58 UTC
please check if it is fixed by installing MSVC2010 redistributable,
or by upgrading to a preview build of JRE7u6, available here:
http://jdk7.java.net/download.html/
Comment 4 Masataka Shinke 2012-07-20 02:19:52 UTC
Thank you

2012/7/20  <bugzilla-daemon@freedesktop.org>:
> https://bugs.freedesktop.org/show_bug.cgi?id=46422
>
> Michael Stahl <mstahl@redhat.com> changed:
>
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
>              Status|NEW                         |NEEDINFO
>          AssignedTo|libreoffice-bugs@lists.free |mshinke@users.sourceforge.j
>                    |desktop.org                 |p
>
> --- Comment #3 from Michael Stahl <mstahl@redhat.com> 2012-07-19 13:07:58 PDT ---
> please check if it is fixed by installing MSVC2010 redistributable,
> or by upgrading to a preview build of JRE7u6, available here:
> http://jdk7.java.net/download.html/
>
> --
> Configure bugmail: https://bugs.freedesktop.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You are the assignee for the bug.
> You reported the bug.
Comment 5 Julien Nabet 2012-08-29 10:49:45 UTC
Masataka: the Java Oracle bug indicated by Michael has been fixed meanwhile.
Could you make the test with last Java version?
(perhaps you'll want to wait a little because of zero-day vulnerability)
Comment 6 V Stuart Foote 2013-02-03 19:52:47 UTC
Marginally functional with JRE 7 builds due to issues with integrated JAB 2.0.3 and poor fidelity in tracking Java events, much better function with current JRE 6.

Closing this as resolved fixed, but should monitor fdo#58995 ( https://bugs.freedesktop.org/show_bug.cgi?id=58995)  for changes as Oracle resolves issues with JRE 7.